#include <stdio.h>
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX BUFSIZ
#ifndef __cplusplus
# define output(c) (void)putc(c,yyout)
#else
# define lex_output(c) (void)putc(c,yyout)
#endif

#if defined(__cplusplus) || defined(__STDC__)

#if defined(__cplusplus) && defined(__EXTERN_C__)
extern "C" {
#endif
	int yyback(int *, int);
	int yyinput(void);
	int yylook(void);
	void yyoutput(int);
	int yyracc(int);
	int yyreject(void);
	void yyunput(int);
	int yylex(void);
#ifdef YYLEX_E
	void yywoutput(wchar_t);
	wchar_t yywinput(void);
#endif
#ifndef yyless
	int yyless(int);
#endif
#ifndef yywrap
	int yywrap(void);
#endif
#ifdef LEXDEBUG
	void allprint(char);
	void sprint(char *);
#endif
#if defined(__cplusplus) && defined(__EXTERN_C__)
}
#endif

#ifdef __cplusplus
extern "C" {
#endif
	void exit(int);
#ifdef __cplusplus
}
#endif

#endif
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
#ifndef __cplusplus
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#else
# define lex_input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#endif
#define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng;
char yytext[YYLMAX];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;

# line 3 "pat_scan.l"
/*****************************************************************************
  FILE           : $Source: /usr/local/bv/SNNS/SNNSv3.3/kernel/sources/RCS/kr_pat_scan.l,v $
  SHORTNAME      : pattern scanner
  SNNS VERSION   : 3.2

  PURPOSE        : pattern file scanner, lex file
  NOTES          : preliminary

  AUTHOR         : Michael Vogt
  DATE           : 10.9.93

  CHANGED BY     : 
  IDENTIFICATION : $State: Exp $ $Locker:  $
  RCS VERSION    : $Revision: 2.2 $
  LAST CHANGE    : $Date: 1994/11/08 13:41:00 $

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG

******************************************************************************/

#include "y.tab.h"
#include <stdlib.h>
#include <string.h>
#include "pat_parse.h"
#include "pat_scan.ph"

# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
#ifdef __cplusplus
/* to avoid CC and lint complaining yyfussy not being used ...*/
static int __lex_hack = 0;
if (__lex_hack) goto yyfussy;
#endif
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:

# line 37 "pat_scan.l"
			case 2:

# line 38 "pat_scan.l"
				;
break;
case 3:

# line 40 "pat_scan.l"
					yylineno++;
break;
case 4:

# line 42 "pat_scan.l"
					return(L_BRACKET);
break;
case 5:

# line 44 "pat_scan.l"
					return(R_BRACKET);
break;
case 6:

# line 46 "pat_scan.l"
     {
					s_dotpos = strchr((char *) yytext, '.');
					*s_dotpos = '\0';
					yylval.version.v = 
						atoi((char *) yytext+1);
					yylval.version.r =
						atoi((char *) s_dotpos+1);
					return(V_NUMBER);
				        }
break;
case 7:

# line 56 "pat_scan.l"
			case 8:

# line 57 "pat_scan.l"
		case 9:

# line 58 "pat_scan.l"
case 10:

# line 59 "pat_scan.l"
        {
						    yylval.value=atof((char *) yytext);
						    return(NUMBER);
						}
break;
case 11:

# line 64 "pat_scan.l"
		return(VERSION_HEADER);
break;
case 12:

# line 66 "pat_scan.l"
			return(GENERATED_AT);
break;
case 13:

# line 68 "pat_scan.l"
		return(NO_OF_PATTERN);
break;
case 14:

# line 70 "pat_scan.l"
		return(NO_OF_INPUT);
break;
case 15:

# line 72 "pat_scan.l"
		return(NO_OF_OUTPUT);
break;
case 16:

# line 74 "pat_scan.l"
return(NO_OF_VAR_IDIM);
break;
case 17:

# line 76 "pat_scan.l"
return(NO_OF_VAR_ODIM);
break;
case 18:

# line 78 "pat_scan.l"
	return(MAXIMUM_IDIM);
break;
case 19:

# line 80 "pat_scan.l"
	return(MAXIMUM_ODIM);
break;
case 20:

# line 82 "pat_scan.l"
				return(ERROR);
break;
case -1:
break;
default:
(void)fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */

int pplex(void)
{
    if (scanner_pattern_end_flag)
    {
	scanner_pattern_end_flag = 0;
	yylval.value = 0.0;
	return PATTERNEND;
    }
    else
	return yylex();
}

void scanner_await_pattern_end(void)
{
    scanner_pattern_end_flag = 1;
}

void scanner_init_scanner(FILE *in_file)
{
    yyin = in_file;
#ifdef FLEX_SCANNER
    yyrestart(yyin);
#endif
    scanner_pattern_end_flag = 0;
}
int yyvstop[] = {
0,

2,
0,

2,
0,

20,
0,

2,
0,

3,
0,

1,
20,
0,

20,
0,

20,
0,

7,
20,
0,

20,
0,

20,
0,

20,
0,

20,
0,

4,
0,

5,
0,

20,
0,

1,
0,

10,
20,
0,

9,
20,
0,

20,
0,

20,
0,

20,
0,

20,
0,

20,
0,

20,
0,

20,
0,

9,
10,
20,
0,

20,
0,

20,
0,

8,
20,
0,

20,
0,

20,
0,

20,
0,

20,
0,

20,
0,

20,
0,

10,
20,
0,

20,
0,

20,
0,

9,
20,
0,

20,
0,

20,
0,

6,
20,
0,

20,
0,

20,
0,

9,
10,
20,
0,

20,
0,

6,
20,
0,

20,
0,

20,
0,

6,
0,

20,
0,

20,
0,

20,
0,

20,
0,

20,
0,

12,
0,

13,
0,

14,
0,

15,
0,

18,
0,

19,
0,

11,
0,

16,
0,

17,
0,
0};
# define YYTYPE unsigned char
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,3,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,4,	1,5,	
4,4,	0,0,	0,0,	7,0,	
7,0,	3,3,	0,0,	8,0,	
8,0,	6,6,	0,0,	0,0,	
0,0,	3,0,	3,0,	0,0,	
0,0,	6,17,	6,0,	0,0,	
10,0,	10,0,	54,59,	4,4,	
1,6,	95,103,	7,0,	99,107,	
2,6,	101,108,	8,0,	104,111,	
1,7,	109,116,	119,119,	1,8,	
3,0,	1,9,	0,0,	2,8,	
7,8,	0,0,	7,9,	10,0,	
0,0,	0,0,	8,18,	3,3,	
120,127,	0,0,	0,0,	6,6,	
3,3,	0,0,	0,0,	0,0,	
6,6,	119,119,	1,3,	0,0,	
0,0,	9,0,	9,0,	0,0,	
0,0,	0,0,	1,10,	1,11,	
0,0,	0,0,	2,10,	2,11,	
1,12,	3,3,	0,0,	1,13,	
2,12,	6,6,	11,0,	11,0,	
1,14,	0,0,	1,15,	119,126,	
9,0,	7,0,	2,15,	7,0,	
55,60,	8,0,	3,3,	8,0,	
1,16,	49,54,	6,6,	3,0,	
2,16,	3,0,	9,19,	6,17,	
9,9,	11,0,	10,0,	42,49,	
10,0,	12,0,	12,0,	17,17,	
10,21,	13,0,	13,0,	50,55,	
16,0,	16,0,	60,67,	63,71,	
17,0,	18,0,	18,0,	64,72,	
59,63,	9,20,	65,73,	62,69,	
19,0,	19,0,	59,64,	59,65,	
12,0,	62,70,	20,0,	20,0,	
13,0,	59,66,	66,74,	16,0,	
21,0,	21,0,	67,75,	69,77,	
18,0,	70,78,	71,79,	9,0,	
72,80,	9,0,	73,81,	19,0,	
13,24,	17,17,	74,82,	75,83,	
77,85,	20,0,	17,17,	78,86,	
18,18,	79,87,	80,88,	21,0,	
11,0,	81,89,	11,0,	19,27,	
20,29,	82,90,	83,91,	23,0,	
23,0,	20,30,	84,92,	85,93,	
22,0,	22,0,	12,23,	17,17,	
86,94,	18,26,	87,95,	88,96,	
11,22,	89,97,	24,0,	24,0,	
19,28,	90,98,	91,99,	12,0,	
92,100,	12,0,	23,0,	13,0,	
17,17,	13,0,	16,0,	22,0,	
16,0,	93,101,	94,102,	18,0,	
96,104,	18,0,	25,0,	25,0,	
16,25,	24,0,	19,0,	97,105,	
19,0,	22,32,	32,0,	32,0,	
20,0,	98,106,	20,0,	102,109,	
26,0,	26,0,	21,0,	24,34,	
21,0,	24,24,	27,0,	27,0,	
103,110,	25,0,	105,112,	106,113,	
107,114,	28,0,	28,0,	108,115,	
110,117,	32,42,	29,0,	29,0,	
23,33,	30,0,	30,0,	26,0,	
111,118,	112,119,	31,0,	31,0,	
113,120,	27,0,	114,121,	21,31,	
115,122,	23,0,	26,36,	23,0,	
28,0,	116,123,	22,0,	26,37,	
22,0,	29,0,	33,0,	33,0,	
30,0,	27,27,	117,124,	28,39,	
24,0,	31,0,	24,0,	118,125,	
28,40,	121,128,	34,0,	34,0,	
122,129,	29,30,	35,0,	35,0,	
30,30,	123,130,	36,0,	36,0,	
124,131,	33,0,	27,38,	125,132,	
25,0,	127,133,	25,0,	128,135,	
129,136,	37,0,	37,0,	127,134,	
32,0,	34,0,	32,0,	130,137,	
131,138,	35,0,	26,0,	132,139,	
26,0,	36,0,	133,140,	25,35,	
27,0,	134,141,	27,0,	38,0,	
38,0,	34,44,	135,142,	28,0,	
37,0,	28,0,	39,0,	39,0,	
29,0,	36,37,	29,0,	30,0,	
136,143,	30,0,	40,0,	40,0,	
31,0,	137,144,	31,0,	138,138,	
37,37,	139,146,	38,0,	140,147,	
33,43,	141,148,	41,0,	41,0,	
142,149,	39,0,	31,41,	143,150,	
33,0,	38,46,	33,0,	144,151,	
147,153,	40,0,	38,47,	43,0,	
43,0,	148,154,	138,138,	149,155,	
34,0,	39,40,	34,0,	150,156,	
35,0,	41,0,	35,0,	151,157,	
36,0,	40,40,	36,0,	44,0,	
44,0,	153,158,	35,45,	45,0,	
45,0,	154,159,	43,50,	37,0,	
56,56,	37,0,	46,0,	46,0,	
138,145,	146,146,	47,0,	47,0,	
155,160,	56,0,	48,0,	48,0,	
156,161,	51,51,	44,0,	53,0,	
53,0,	38,0,	45,0,	38,0,	
157,162,	51,56,	51,0,	158,163,	
39,0,	46,0,	39,0,	44,51,	
146,146,	47,0,	44,44,	159,164,	
40,0,	48,0,	40,0,	52,0,	
52,0,	160,165,	53,0,	161,166,	
162,167,	46,47,	56,56,	163,168,	
41,0,	47,47,	41,0,	56,56,	
57,0,	57,0,	164,169,	58,0,	
58,0,	165,170,	146,152,	51,51,	
166,171,	43,0,	52,0,	43,0,	
51,51,	167,172,	41,48,	168,173,	
61,0,	61,0,	169,174,	170,175,	
56,56,	172,177,	173,178,	57,0,	
174,179,	44,0,	58,62,	44,0,	
175,180,	45,0,	178,182,	45,0,	
179,183,	51,51,	68,0,	68,0,	
46,0,	56,56,	46,0,	61,0,	
47,0,	180,184,	47,0,	171,171,	
48,0,	177,177,	48,0,	182,185,	
183,186,	53,0,	51,51,	53,0,	
45,52,	76,0,	76,0,	51,56,	
184,187,	68,0,	185,188,	186,189,	
187,190,	188,191,	189,192,	191,193,	
100,100,	192,194,	171,171,	53,58,	
177,177,	52,0,	48,53,	52,0,	
100,100,	100,0,	193,195,	52,57,	
76,84,	194,196,	195,197,	196,198,	
197,197,	198,200,	57,0,	0,0,	
57,0,	58,0,	0,0,	58,0,	
0,0,	200,200,	0,0,	0,0,	
171,176,	0,0,	177,181,	0,0,	
0,0,	0,0,	61,0,	0,0,	
61,0,	0,0,	0,0,	197,197,	
0,0,	0,0,	100,100,	57,61,	
61,68,	0,0,	0,0,	100,100,	
200,200,	0,0,	0,0,	0,0,	
68,0,	0,0,	68,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	68,76,	0,0,	0,0,	
0,0,	197,199,	0,0,	0,0,	
100,100,	0,0,	0,0,	76,0,	
0,0,	76,0,	200,201,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	100,100,	0,0,	0,0,	
0,0,	0,0,	100,100,	0,0,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		yyvstop+1,
yycrank+-5,	yysvec+1,	yyvstop+3,
yycrank+-16,	0,		yyvstop+5,
yycrank+3,	0,		yyvstop+7,
yycrank+0,	0,		yyvstop+9,
yycrank+-20,	0,		yyvstop+11,
yycrank+-6,	yysvec+3,	yyvstop+14,
yycrank+-10,	yysvec+3,	yyvstop+16,
yycrank+-64,	yysvec+3,	yyvstop+18,
yycrank+-23,	yysvec+3,	yyvstop+21,
yycrank+-81,	yysvec+3,	yyvstop+23,
yycrank+-108,	yysvec+3,	yyvstop+25,
yycrank+-112,	yysvec+3,	yyvstop+27,
yycrank+0,	0,		yyvstop+29,
yycrank+0,	0,		yyvstop+31,
yycrank+-115,	yysvec+3,	yyvstop+33,
yycrank+-118,	yysvec+6,	yyvstop+35,
yycrank+-120,	yysvec+3,	yyvstop+37,
yycrank+-127,	yysvec+3,	yyvstop+40,
yycrank+-133,	yysvec+3,	yyvstop+43,
yycrank+-139,	yysvec+3,	yyvstop+45,
yycrank+-175,	yysvec+3,	yyvstop+47,
yycrank+-170,	yysvec+3,	yyvstop+49,
yycrank+-185,	yysvec+3,	yyvstop+51,
yycrank+-205,	yysvec+3,	yyvstop+53,
yycrank+-219,	yysvec+3,	yyvstop+55,
yycrank+-225,	yysvec+3,	yyvstop+57,
yycrank+-232,	yysvec+3,	yyvstop+61,
yycrank+-237,	yysvec+3,	yyvstop+63,
yycrank+-240,	yysvec+3,	yyvstop+65,
yycrank+-245,	yysvec+3,	yyvstop+68,
yycrank+-213,	yysvec+3,	yyvstop+70,
yycrank+-261,	yysvec+3,	yyvstop+72,
yycrank+-273,	yysvec+3,	yyvstop+74,
yycrank+-277,	yysvec+3,	yyvstop+76,
yycrank+-281,	yysvec+3,	yyvstop+78,
yycrank+-292,	yysvec+3,	yyvstop+80,
yycrank+-310,	yysvec+3,	yyvstop+83,
yycrank+-317,	yysvec+3,	yyvstop+85,
yycrank+-325,	yysvec+3,	yyvstop+87,
yycrank+-337,	yysvec+3,	yyvstop+90,
yycrank+4,	0,		0,	
yycrank+-350,	yysvec+3,	yyvstop+92,
yycrank+-366,	yysvec+3,	yyvstop+94,
yycrank+-370,	yysvec+3,	yyvstop+97,
yycrank+-377,	yysvec+3,	yyvstop+99,
yycrank+-381,	yysvec+3,	yyvstop+101,
yycrank+-385,	yysvec+3,	yyvstop+105,
yycrank+3,	0,		0,	
yycrank+11,	0,		0,	
yycrank+-396,	0,		yyvstop+107,
yycrank+-410,	yysvec+3,	yyvstop+110,
yycrank+-390,	yysvec+3,	yyvstop+112,
yycrank+2,	0,		0,	
yycrank+3,	0,		0,	
yycrank+-383,	yysvec+51,	yyvstop+114,
yycrank+-423,	yysvec+3,	yyvstop+116,
yycrank+-426,	yysvec+3,	yyvstop+118,
yycrank+27,	0,		0,	
yycrank+10,	0,		0,	
yycrank+-439,	yysvec+3,	yyvstop+120,
yycrank+30,	0,		0,	
yycrank+17,	0,		0,	
yycrank+14,	0,		0,	
yycrank+37,	0,		0,	
yycrank+49,	0,		0,	
yycrank+34,	0,		0,	
yycrank+-457,	yysvec+3,	yyvstop+122,
yycrank+41,	0,		0,	
yycrank+36,	0,		0,	
yycrank+42,	0,		0,	
yycrank+40,	0,		0,	
yycrank+42,	0,		0,	
yycrank+48,	0,		0,	
yycrank+62,	0,		0,	
yycrank+-476,	yysvec+3,	yyvstop+124,
yycrank+52,	0,		0,	
yycrank+51,	0,		0,	
yycrank+52,	0,		0,	
yycrank+58,	0,		0,	
yycrank+57,	0,		0,	
yycrank+72,	0,		0,	
yycrank+64,	0,		0,	
yycrank+85,	0,		0,	
yycrank+66,	0,		0,	
yycrank+76,	0,		0,	
yycrank+74,	0,		0,	
yycrank+74,	0,		0,	
yycrank+92,	0,		0,	
yycrank+100,	0,		0,	
yycrank+88,	0,		0,	
yycrank+84,	0,		0,	
yycrank+93,	0,		0,	
yycrank+93,	0,		0,	
yycrank+5,	0,		0,	
yycrank+96,	0,		0,	
yycrank+105,	0,		0,	
yycrank+127,	0,		0,	
yycrank+7,	0,		0,	
yycrank+-495,	0,		yyvstop+126,
yycrank+9,	0,		0,	
yycrank+111,	0,		0,	
yycrank+119,	0,		0,	
yycrank+11,	0,		0,	
yycrank+128,	0,		0,	
yycrank+131,	0,		0,	
yycrank+140,	0,		0,	
yycrank+143,	0,		0,	
yycrank+13,	0,		0,	
yycrank+134,	0,		0,	
yycrank+135,	0,		0,	
yycrank+138,	0,		0,	
yycrank+155,	0,		0,	
yycrank+157,	0,		0,	
yycrank+155,	0,		0,	
yycrank+165,	0,		0,	
yycrank+169,	0,		0,	
yycrank+169,	0,		0,	
yycrank+37,	0,		0,	
yycrank+28,	0,		0,	
yycrank+179,	0,		0,	
yycrank+175,	0,		0,	
yycrank+184,	0,		0,	
yycrank+176,	0,		0,	
yycrank+190,	0,		0,	
yycrank+0,	0,		yyvstop+128,
yycrank+192,	0,		0,	
yycrank+194,	0,		0,	
yycrank+199,	0,		0,	
yycrank+198,	0,		0,	
yycrank+193,	0,		0,	
yycrank+195,	0,		0,	
yycrank+204,	0,		0,	
yycrank+200,	0,		0,	
yycrank+212,	0,		0,	
yycrank+222,	0,		0,	
yycrank+236,	0,		0,	
yycrank+330,	0,		0,	
yycrank+226,	0,		0,	
yycrank+231,	0,		0,	
yycrank+229,	0,		0,	
yycrank+243,	0,		0,	
yycrank+236,	0,		0,	
yycrank+245,	0,		0,	
yycrank+0,	0,		yyvstop+130,
yycrank+380,	0,		0,	
yycrank+239,	0,		0,	
yycrank+249,	0,		0,	
yycrank+247,	0,		0,	
yycrank+262,	0,		0,	
yycrank+256,	0,		0,	
yycrank+0,	0,		yyvstop+132,
yycrank+261,	0,		0,	
yycrank+264,	0,		0,	
yycrank+287,	0,		0,	
yycrank+285,	0,		0,	
yycrank+299,	0,		0,	
yycrank+375,	0,		0,	
yycrank+299,	0,		0,	
yycrank+310,	0,		0,	
yycrank+313,	0,		0,	
yycrank+313,	0,		0,	
yycrank+327,	0,		0,	
yycrank+402,	0,		0,	
yycrank+327,	0,		0,	
yycrank+325,	0,		0,	
yycrank+335,	0,		0,	
yycrank+342,	0,		0,	
yycrank+350,	0,		0,	
yycrank+419,	0,		0,	
yycrank+466,	0,		0,	
yycrank+338,	0,		0,	
yycrank+345,	0,		0,	
yycrank+351,	0,		0,	
yycrank+358,	0,		0,	
yycrank+0,	0,		yyvstop+134,
yycrank+468,	0,		0,	
yycrank+361,	0,		0,	
yycrank+355,	0,		0,	
yycrank+368,	0,		0,	
yycrank+0,	0,		yyvstop+136,
yycrank+369,	0,		0,	
yycrank+379,	0,		0,	
yycrank+380,	0,		0,	
yycrank+375,	0,		0,	
yycrank+381,	0,		0,	
yycrank+391,	0,		0,	
yycrank+388,	0,		0,	
yycrank+379,	0,		0,	
yycrank+0,	0,		yyvstop+138,
yycrank+384,	0,		0,	
yycrank+392,	0,		0,	
yycrank+396,	0,		0,	
yycrank+398,	0,		0,	
yycrank+395,	0,		0,	
yycrank+401,	0,		0,	
yycrank+503,	0,		0,	
yycrank+398,	0,		0,	
yycrank+0,	0,		yyvstop+140,
yycrank+512,	0,		0,	
yycrank+0,	0,		yyvstop+142,
0,	0,	0};
struct yywork *yytop = yycrank+586;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
  0,   1,   1,   1,   1,   1,   1,   1, 
  1,   9,  10,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  9,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,  43,   1,  43,   1,   1, 
 48,  48,  48,  48,  48,  48,  48,  48, 
 48,  48,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,  69,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,  86,   1, 
  1,   1,   1,  91,   1,  91,   1,   1, 
  1,   1,   1,   1,   1,  69,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,  86,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
0};
char yyextra[] = {
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
/*	Copyright (c) 1989 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#pragma ident	"@(#)ncform	6.8	95/02/11 SMI"

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
#if defined(__cplusplus) || defined(__STDC__)
int yylook(void)
#else
yylook()
#endif
{
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
#ifndef __cplusplus
			*yylastch++ = yych = input();
#else
			*yylastch++ = yych = lex_input();
#endif
			if(yylastch > &yytext[YYLMAX]) {
				fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
				exit(1);
			}
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (int)yyt > (int)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((int)yyt < (int)yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
#ifndef __cplusplus
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
#else
		yyprevious = yytext[0] = lex_input();
		if (yyprevious>0)
			lex_output(yyprevious);
#endif
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
#if defined(__cplusplus) || defined(__STDC__)
int yyback(int *p, int m)
#else
yyback(p, m)
	int *p;
#endif
{
	if (p==0) return(0);
	while (*p) {
		if (*p++ == m)
			return(1);
	}
	return(0);
}
	/* the following are only used in the lex library */
#if defined(__cplusplus) || defined(__STDC__)
int yyinput(void)
#else
yyinput()
#endif
{
#ifndef __cplusplus
	return(input());
#else
	return(lex_input());
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyoutput(int c)
#else
yyoutput(c)
  int c; 
#endif
{
#ifndef __cplusplus
	output(c);
#else
	lex_output(c);
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyunput(int c)
#else
yyunput(c)
   int c; 
#endif
{
	unput(c);
	}
